Skip to main content
GET
/
ens
/
v2
/
texts
/
{name}
Resolve text records for an ENS name
curl --request GET \
  --url https://api.resolvio.xyz/ens/v2/texts/{name}
import requests

url = "https://api.resolvio.xyz/ens/v2/texts/{name}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.resolvio.xyz/ens/v2/texts/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "artii.eth",
  "texts": [
    {
      "key": "avatar",
      "exists": true,
      "value": "https://example.com/avatar.jpg"
    }
  ]
}
Retrieve text records for an ENS name (e.g., avatar, description, keywords). Optionally filter by keys.

Path Parameters

name
string
required

ENS name to resolve

Required string length: 6 - 256
Example:

"artii.eth"

Query Parameters

noCache
boolean
default:false

Skip cache and fetch fresh data

keys
string[]

Comma-separated text record keys

Example:

"avatar,com.twitter"

Response

name
string
required
Example:

"artii.eth"

texts
object[]
required